static char Sccsid[] = "@(#)repeat	1.1";
/*
	Set `result' equal to `str' repeated `repfac' times.
	Return `result'.
*/

char	*
repeat(result,str,repfac)
char *result, *str;
register int repfac;
{
	register char *r, *s;

	r = result;
	for (++repfac; --repfac > 0; --r)
		for (s=str; *r++ = *s++; );
	*r = '\0';
	return(result);
}
